# TinyLoRa Sensor Node

## Overview

A Minimalistic Sensor Node for use on TheThingsNetwork.

![Case Front](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/case_front.jpg)
![Case Side](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/case_side.jpg)
![Case Back](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/case_back.jpg)
![PCB Front](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/pcb_front.jpg)
![PCB Back BME](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/pcb_back_bme.jpg)
![PCB Back SHT](https://www.seiichiro0185.org/git/IOT/tinylora/raw/branch/master/pcb_back_sht.jpg)

### Features

* Small Size, only 47x36x15mm populated (SMD Version)
* Based on widely available Atmel ATTiny84 MCU and RFM95W LoRa-module
* 6 free GPIO-Pins from the ATTiny + Power to connect sensors on a 2.54mm pitch header
* Optional on-board LED for status signaling (SMD Version)
* Powered by a single CR2032 lithium battery
* Long battery runtime using  the ATTinys deep sleep mode
* Integrated 6-Pin programming header (SMD Version)
* Small component count
* Fitting 3D-Printed Case

## Subdirectories In this Repository

* **Case:** A 3D-Printable Case, OpenSCAD and STL Files
* **Firmware:** Example Firmware for a BME280 Climate Sensor, PlatformIO project
* **PCB_SMD:** PCB for SMD components, KiCAD project
* **PCB_THT:** PCB with through-hole components, KiCAD project, Currently not all Features of the SMD Version

## Pinouts

### PRG1 Starting from Marked Top Left Pin

|          |          |
|----------|----------|
| MISO     | 3V3      |
| SCK      | MOSI     |
| RST      | GND      |


### J1 Starting from Marked Pin 1

| Number | Function          | Note                           |
|--------|-------------------|--------------------------------|
|      1 | 3V3               | Directly connected to Battery  |
|      2 | GND               | Directly connected to Battery  |
|      3 | ATTiny84 PA0      | i2C SCL in Example Firmware    |
|      4 | ATTiny84 PA1      | i2C SDA in Example Firmware    |
|      5 | ATTiny84 PA2      |                                |
|      6 | ATTiny84 PA3      |                                |
|      7 | ATTiny84 PA7      | Connected to LED-Pad D1 via R1 |
|      8 | ATTiny84 PB2      |                                |


## Thanks & Acknowledgements:

* The [TinyTX Project](https://nathan.chantrell.net/tinytx-wireless-sensor/), which served as an inspiration
* Everyone making [The Things Network](https://www.thethingsnetwork.org/) happen
* Some ideas where taken from the c't magazines ["Brief-Fernmelder"](http://ct.de/wyjb) Project

